import { createEngine, addRoute } from '../src'
import {UI, UIType} from "vue-seed-ui"
import ElementPlus from 'element-plus';
import 'element-plus/lib/theme-chalk/index.css'
import 'vue-seed-ui/lib/style.css'
import './style.css'
import customRequestPlugin from './plugins/request'
import appConfig from './config'
import Demo from './pages/demo'

const demoRoute = {
    name: 'demoPage',
    path: '/demo',
    component: Demo
}

const app = createEngine({
    ui: UI as UIType,
    appConfig,
    plugins: [customRequestPlugin]
})

app.use(ElementPlus)

app.mount('#app')

addRoute(demoRoute)