import { defineComponent, h, ConcreteComponent } from 'vue'
import { SchemaRenderer,  } from '../../src'
import { NormalizedSchemaNode } from '../../types'

export default defineComponent({
    components: {
        SchemaRenderer,
    },
    data() {
        return {
            buttton: {
                "type": "Button",

                "props": {  // 组件

                },

                "meta": { //
                    ":type": "success",
                    ":circle": true,

                },
            },
            schema: {
                "key": "form",
                "type": "Form",
                "meta": {

                    "columnsCount": 1,
                    "url": "http://local.guazi-cloud.com:9090/api/demo/submit",
                    "method": "post",
                    "data": {
                        "id": 123,
                        "name": "哈哈"
                    }
                },
                "items": [
                    {
                        "key": "name",
                        "label": "姓名",
                        "required": true
                    },
                    {
                        "key": "test",
                        "label": "文本",
                        "value": "编辑"
                    },
                    {
                        "key": "sex",
                        "label": "性别",
                        "type": "radio",
                        "meta": {
                            "url": "http://local.guazi-cloud.com:9090/api/demo/enum",
                            "params": {
                                "key": "sex"
                            }
                        }
                    },
                    {
                        "key": "birthday",
                        "label": "生日",
                        "type": "date"
                    },
                    {
                        "key": "hobby",
                        "label": "爱好",
                        "type": "checkbox",
                        "items": [
                            {
                                "label": "文学",
                                "value": 1
                            },
                            {
                                "label": "音乐",
                                "value": 2
                            },
                            {
                                "label": "诗歌",
                                "value": 3
                            }
                        ]
                    },
                    {
                        "key": "area",
                        "label": "区域",
                        "type": "select",
                        "items": [
                            {
                                "label": "区域一",
                                "value": 1
                            },
                            {
                                "label": "区域二",
                                "value": 2
                            },
                            {
                                "label": "区域三",
                                "value": 3
                            }
                        ]
                    }
                ]
            }
        }
    },
    render () {
        const { schema } = this

        return h(SchemaRenderer as ConcreteComponent, schema as any, {
            default: () => h('div', '测试一下')
        })
    },
})