export * from './http'
export * from './model'
export * from './alias'

// UI组件类型列表
export const enum UITypes {
    Button = 'ButtonGroup', //  按钮
    Message = 'Message', // 消息提示
    Input = 'Input', // 输入框
    Frame = 'Frame', // 框架
    Stack = 'Stack', // 堆叠
    Table = 'Table', // 表格
    Popover = 'Popover', //
    Loading = 'Loading', // 加载
    Form = 'Form',
    Checkbox = 'Checkbox',
    Radio = 'Radio',
    Switch = 'Switch',
    Tabs = 'Tabs',
    Collapse = 'Collapse',
    Steps = 'Steps',
    Timeline = 'Timeline',
    Dialog = 'Dialog',
    Panel = 'Panel'
}

// 内置解析器类型列表
export const enum ParserTypes {
    Common = 'Common',
    Frame = 'Frame',
    Page = 'Page',
    Form = 'Form',
    Button = 'Button',
    Table = 'Table',
    Dialog = 'Modal',
    Tabs = 'Tabs',
    Stack = 'Stack', // 堆叠
    Panel = 'Panel'
}

// 内置格式化类型枚举
export const enum FormatterTypes {
    Timestamp = 'timestamp',  // 时间戳
}

// Meta的类型，除了ActionTypes以外，就是props和other，props指直接透传给组件的
export enum OtherMetaTypes{
    Props = 'props', // 直接作为props透传给组件的Meta值，以:开头
    Other = 'other'  // 其他类型的Meta，指某个解析器特有的，需要特殊处理后作为属性传给组件的Meta值
}

// 内置操作类型列表
export const enum ActionTypes {
    Request = 'request',
    Filter = 'filter',
    OpenDialog = 'openDialog',  // 打开一个弹窗
    Submit = 'submit'
}

// 插件类型枚举
export enum PluginTypes {
    Parser = 'parser',
    Plugin = 'plugin',
    Action = 'action',
    Formatter = 'formatter'  // 格式化插件
}

export type AllMetaTypes = ActionTypes | OtherMetaTypes

export const enum EvaluatorTypes {
    Path =  'path',  // 动态path求值
    Expression = 'expression'  // 表达式求值
}


export const FORMATTER_SPLITTER = '$:'