// 解析器管理
import { Component, SetupContext } from "vue";
import { SimpleManager, Cache } from "./common/simple";
import { NormalizedSchemaNode, ComponentNode } from "../schema";
import { PluginTypes } from "../constant";
import { ParserUtil } from "../components/renderer";

type CommonCustomPlugin = {
    name: string,  // 插件名称
    type: PluginTypes.Plugin, // 插件类型
}

// 自定义插件
export type CustomPlugin<T = any> = CommonCustomPlugin & T


export class CustomPluginManager extends SimpleManager{
    constructor(){
        super()

        this.carReset = false
    }

    getPlugins(key: string): Array<CustomPlugin> | undefined{
        const plugin = this.get(key) as CustomPlugin

        return plugin && [plugin]
    }
}