/**
 * 通用解析器
 */
import { computed, SetupContext } from 'vue'
import { ComponentNode, SchemaNode } from '../schema'
import { ParserPlugin } from '../manager/parser'
import { Util } from '../plugins'
import { toPascalCase } from '../util'
import { ParserTypes, PluginTypes } from '../constant'

export default {
    name: ParserTypes.Common,  // 插件名称
    type: PluginTypes.Parser,
    parse: (schema: SchemaNode, context: SetupContext, {
        pluginDriver
    }: Util) => {
        const component = pluginDriver.getUI(toPascalCase(schema.type))
        const props = computed( () => schema.meta )

        return {
            component,
            props,
            children: schema.items
        } as ComponentNode
    },
} as ParserPlugin