import { ref } from 'vue'

export default function useSource(){
    const visible = ref(false)
    const setVisible = (newV: boolean) => visible.value = newV
    const open = () => setVisible(true)
    const close = () => setVisible(false)

    return {
        visible,
        setVisible,
        open,
        close,
    }
}