/**
 * 建站平台框架，对应解析器
 */
import { computed, SetupContext } from 'vue'
import { ComponentNode, NormalizedSchemaNode, SchemaNode } from '../../schema'
import { Util } from '../../plugins'
import { ParserPlugin } from '../../manager/parser'
import useMenus from './useMenus'
import { ParserTypes, UITypes, PluginTypes } from '../../constant'
import { AppConfig } from '../../engine'

export default {
    name: ParserTypes.Frame,  // 插件名称
    type: PluginTypes.Parser,
    ui: UITypes.Frame,
    parse: (schema: SchemaNode, context: SetupContext, {
        appConfig,
        http,
        pluginDriver,
    }: Util ) => {
        const {
            isInit,
            title,
            currentRoute,
            menus
        } = useMenus(appConfig as AppConfig, pluginDriver)
        const props = computed( () => ({
            ...schema.meta,
            title,
            menus,
            currentRoute,
        }))

        return {
            isInit,
            props,
        } as ComponentNode
    }
} as ParserPlugin