import { ref } from 'vue'
import { PluginDriver } from '../../plugins'
import { Meta } from '../../schema'
import { ActionTypes } from '../../constant'

// 处理表格右侧操作列
export default function useInit(initValue: boolean = false, pluginDriver: PluginDriver){
    const isInit = ref(initValue)
    const initRequest = async (meta: Meta) => {
        const res = await pluginDriver.handleActionByType(ActionTypes.Request, meta)

        if(!res) return

        isInit.value = true

        return res
    }


    return {
        isInit,
        initRequest
    }
}