import { computed } from 'vue'
import { EvaluatorOptions } from '../../evaluators'
import { PluginDriver } from '../../plugins'
import { SchemaNode } from '../../schema'

export default function useTitle(schema: SchemaNode, pluginDriver?: PluginDriver, options?: EvaluatorOptions){
    const title = computed( () => {
        const {label} = schema.meta || {}

        return options && pluginDriver ? pluginDriver.evalOptionsWithVariableKey(label, options) : label
    })

    return {
        title
    }
}