import { ref } from 'vue'
import { TabItems } from '.'


// 处理表格右侧操作列
export default function useActiveTab(items: TabItems){
    const activeTab = ref('')
    const setActiveTab = (newV: string) => activeTab.value = newV
    const setDefaultActiveTab = () => {
        const defaultActiveTab = items?.find( item => item.default ) || (items && items[0])

        if(defaultActiveTab){
            activeTab.value = defaultActiveTab.key
        }
    }

    setDefaultActiveTab()

    return {
        activeTab,
        setActiveTab
    }
}